<%@ Page Language="c#" Inherits="Web.User.login" CodeBehind="login.aspx.cs" %>
<!DOCTYPE html>

<!--
 _     _   _____   _____   _____        _____       ___   _____   _____  
| |   / / /  ___| |  ___| /  _  \      /  ___/     /   | |  ___| | ____| 
| |  / /  | |___  | |___  | | | |      | |___     / /| | | |__   | |__   
| | / /   |  _  \ \___  \ | |/| |      \___  \   / / | | |  __|  |  __|  
| |/ /    | |_| |  ___| | | |_| |       ___| |  / /  | | | |     | |___  
|___/     \_____/ \_____| \_____/      /_____/ /_/   |_| |_|     |_____| 

-->

<!--[if lt IE 9]><html class="lte-ie8"><![endif]-->
<!--[if gt IE 8]><!-->
<html>
<!--<![endif]-->
<head>
    <title>CMC欢迎您</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link href="../Css/public.css" rel="stylesheet" type="text/css" />
    <link href="Css/userlogin.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="../js/jquery.js"></script>
    <script type="text/javascript" src="../js/base64.js"></script>

    <!--[if IE 6]>
    <script type="text/javascript" src="../js/DD_belatedPNG.js"></script>
    <script type="text/javascript">
        DD_belatedPNG.fix('.ie6pngfix');
    </script>
    <![endif]-->

    <script type="text/javascript">
        $(document).ready(function () {
            // 这里写下面这个方法或事件的注释 
            $("#zmkm").click(function () {

                var uid = $("#zmtxt").val();
                var upwd = $("#kmtxt").val();
                var uvc = $("#vm").val();
                if (uid == '') {
                    $("#error").html("<font color='red'>用户名不能为空!</font>");
                    return false;
                }
                if (upwd == '') {
                    $("#error").html("<font color='red'>密码不能为空!</font>");
                    return false;
                }
                if (uvc == '') {
                    $("#error").html("<font color='red'>验证码不能为空!</font>");
                    return false;
                }
                $("#zm").val(Base64.base64encode(Base64.utf16to8(uid)));
                $("#km").val(Base64.base64encode(Base64.utf16to8(upwd)));
                return true;
            });

        });

    </script>

</head>
<body onload="document.Form1.zmtxt.focus();">
    <div class="wrap">
        <div class="header">
            <p class="p1">
                <asp:Label ID="webname" runat="server" Text=""></asp:Label></p>
            <p class="p2">
                内容管理后台</p>
        </div>
        <div class="centerWrap">
            <div class="center">
                <form id="Form1" method="post" runat="server">
                <p class="tipContainer">
                    <i class="loginAccount"></i>
                    <input id="zmtxt" type="text" class="loginText w345" tabindex="1" title="请输入用户名" maxlength="20" />
                    <asp:HiddenField ID="zm" runat="server" />  
                </p>
                <p class="tipContainer">
                    <i class="loginPassword"></i>
                    <input id="kmtxt" type="password" class="loginText w345" tabindex="2" 
                        autocomplete="off" maxlength="20" title="请输入密码" />
                    <asp:HiddenField ID="km" runat="server" />                  
                </p>
                <p class="tipContainer">
                    <i class="loginCode"></i>
                    <asp:TextBox ID="vm" runat="server" class="loginText w203" autocomplete="off"
                        TabIndex="3" ToolTip="请输入验证码" MaxLength="4"></asp:TextBox>
                    <img class="code" src="verifyimg.aspx" title="单击可换图" alt="" onclick="this.src='verifyImg.aspx?v='+Math.random()" />
                </p>
                <asp:Button ID="zmkm" class="btn" runat="server" Text="登  录" OnClick="btnlogin_Click"
                    TabIndex="4" />
                      <a class="forget-pwd" href="../retake.aspx" target="_blank">忘记密码？</a>
                <asp:Label ID="error" class="error" runat="server" Text=""></asp:Label>
                  <a runat="server" id="linkReg" href="../regLicense.aspx" target="_blank">立即注册</a>
                </form>
            </div>
        </div>
        <div class="footer">
           版权所有: 浙江万朋教育科技股份有限公司
        </div>

        <script type="text/javascript">
            //登录
            $(".center .tip").each(function () {
                if ($(this).siblings(".loginText").val() != "") {
                    $(this).hide();
                }
            });
            $(".center .tip,.center .loginText").focus(function () {
                $(this).parent().find(".tip").hide();
            });
            $(".center .loginText").blur(function () {
                if ($(this).val() == "") {
                    $(this).siblings(".tip").show();
                }
            });
        </script>

    </div>
</body>
</html>
